Bug 4837 - Feature request: 'Password complexity' configurable in a more easier way
Feature request: 'Password complexity' configurable in a more easier way
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
unspecified
All All
: P3 enhancement
: ---
Assigned To: Andrew Bartlett
Matthias Dieter Wallnöfer
http://repo.or.cz/w/Samba/mdw.git?a=c...
:
Depends on:
Blocks: 6600
  Show dependency treegraph
 
Reported: 2007-07-31 03:48 UTC by Matthias Dieter Wallnöfer
Modified: 2009-09-11 03:33 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-07-31 03:48:28 UTC
I would like to see the password complexity feature configurable with the GPO's or at least activable/deactivable by a configuration directive.
I think some people doesn't like this feature, so they can turn it off. (Derived from bug 4817)
Comment 1 Andrew Bartlett 2007-08-07 21:43:23 UTC
Currently this setting is configured in LDB, but it's a pain to see and change.  Do you think a SWAT GUI would be enough to fix this for you?
Comment 2 Matthias Dieter Wallnöfer 2007-08-08 04:28:46 UTC
Maybe that could be a acceptable solution for now and also for the alpha. But on a later stage I think, SAMBA 4 should match the Windows behaviour. So we should read and interpret the settings like a Windows Server.
Comment 3 Matthias Dieter Wallnöfer 2007-08-23 01:07:37 UTC
Since it's not really a bug, I'll mark it as a feature request.
Comment 4 fernando 2008-08-20 08:57:41 UTC
Im using samba4 alpha5 and its working ok, except GPO 'computer config' (GPO 'user config' working fine)... even if i set "use complex passwords" to disable, its impossible to change password to a simple pass..(even after restart winxp).. Is this feature working when I use dsa.msc?
Comment 5 Matthias Dieter Wallnöfer 2009-08-05 16:28:19 UTC
Look at my script, Andrew!
Comment 6 Andrew Bartlett 2009-08-06 02:45:44 UTC
I like it, but I think a single script should control minimum password age, minimum password length, the complexity bit and maybe the others too. 

That is, can you rework it into a slightly more general tool?
Comment 7 Matthias Dieter Wallnöfer 2009-08-06 04:52:26 UTC
Updated URL and script
Comment 8 Andrew Bartlett 2009-08-06 21:45:01 UTC
Great work!  

The only thing missing now is the blackbox test.  At the very least edit the setup/tests/blackbox_setpassword.sh script to check it runs, but it would be really great if you could modify testprogs/blackbox/test_passwords.sh to set the policies (do a pw change to a simiple password, check it fails, turn off complexity, then do it again, then set complexity and change it again). 

Comment 9 Matthias Dieter Wallnöfer 2009-09-11 03:33:11 UTC
Should also be fixed now.